package com.tykj.dev.device.retired.service;

import com.tykj.dev.device.retired.entity.domain.DeviceRetiredBill;

import java.util.List;

/**
 * @author HuangXiahao
 * @version V1.0
 * @class DeviceRetiredBillService
 * @packageName com.tykj.dev.device.retired.subject.service
 **/
public interface DeviceRetiredBillService {

    DeviceRetiredBill addEntity(DeviceRetiredBill deviceRetiredBillEntity);

    /**
     * @param deviceRetiredBills 异步上链
     */
    void sendHash(List<DeviceRetiredBill> deviceRetiredBills);

    DeviceRetiredBill getOne(Integer id);

    DeviceRetiredBill update(DeviceRetiredBill deviceRetiredBillEntity);

    void delete(Integer id);

    /**
     * 获取列装库不能被退装的装备数量
     *
     * @param packingLibraryId
     * @return
     */
    Long getCantPackingCount(Integer packingLibraryId);
}
